# forTasks

abstract fun forTasks(tasks: Array<String>): BuildActionExecuter<T>

Specifies the tasks to execute before executing the BuildAction.

If not configured or a null array, then no tasks will be executed. If an empty array, the default tasks for the build will be executed.

If the target Gradle version is >=6.8 then you can execute tasks from included builds. You can target tasks from included builds by specifying the task identity path (i.e. `':included-build-name:subproject-name:taskName'`).

#### Return

this

#### Since

3.5

#### Parameters

tasks

The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created. An empty list will run the project's default tasks.

abstract fun forTasks(tasks: Iterable<String>): BuildActionExecuter<T>

Specifies the tasks to execute before executing the BuildAction.

If not configured or a null iterable, then no tasks will be executed. If an empty iterable, the default tasks for the build will be executed.

If the target Gradle version is >=6.8 then you can execute tasks from included builds. You can target tasks from included builds by specifying the task identity path (i.e. `':included-build-name:subproject-name:taskName'`).

#### Return

this

#### Since

3.5

#### Parameters

tasks

The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created. An empty list will run the project's default tasks.